<?php
/**
 * Class that operate on table 'workstationworker'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2014-04-01 11:09
 */
class WorkstationworkerMySqlExtDAO extends WorkstationworkerMySqlDAO{
	
	public function queryByWorkstationid($id){
		$sql = 'SELECT * FROM workstationworker WHERE workstationid ="'.$id.'"';
		
		
	//	print_r($sql);
		$sqlQuery = new SqlQuery($sql);
		return $this->getList($sqlQuery);
	}

public function insertwithid($workstationworker){
		$sql = 'INSERT INTO workstationworker (workstationworkerId,workstationid, employeeid, workhours, efficiency) VALUES (?, ?, ?, ?, ?)';
		$sqlQuery = new SqlQuery($sql);
		
		$sqlQuery->setNumber($workstationworker->workstationworkerId);
		$sqlQuery->setNumber($workstationworker->workstationid);
		$sqlQuery->set($workstationworker->employeeid);
		$sqlQuery->set($workstationworker->workhours);
		$sqlQuery->set($workstationworker->efficiency);


		$id = $this->executeInsert($sqlQuery);	
		$workstationworker->workstationworkerId = $id;
		return $id;
	}
	
	
	public function queryAllx($workstationid){
		$sql = 'SELECT workstationworker.*,employee.employeeName,employee.Hourlyrate, workstation.workname
		FROM workstationworker
		join employee on employee.employeeId=workstationworker.employeeid
		join workstation on workstation.workstationid=workstationworker.workstationid
		where workstation.workstationid='.$workstationid.'
		
		';
		$sqlQuery = new SqlQuery($sql);
		return $this->getList($sqlQuery);
	}
	
}
?>